## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLValueFunctionElementContentListImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLValueFunctionElementContentListImpl

All Implemented Interfaces:
  SQLQueryObject, SQLObject, XMLValueFunctionElementContentList

    public class XMLValueFunctionElementContentListImpl

extends SQLQueryObjectImpl
implements XMLValueFunctionElementContentList

An implementation of the model object 'XML Value Function Element Content List'.

The following features are implemented:

- `Null Handling Option`
- `Value Function Element`
- `Element Content List Children`

Method Summary
`NotificationChain` `basicSetValueFunctionElement(XMLValueFunctionElement newValueFunctionElement, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getElementContentListChildren()`
`XMLNullHandlingType` `getNullHandlingOption()`
`XMLValueFunctionElement` `getValueFunctionElement()`
`void` `setNullHandlingOption(XMLNullHandlingType newNullHandlingOption)`
`void` `setValueFunctionElement(XMLValueFunctionElement newValueFunctionElement)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getNullHandlingOption

    public XMLNullHandlingType getNullHandlingOption()

  Specified by:
    `getNullHandlingOption` in interface `XMLValueFunctionElementContentList`
  Returns:
    the value of the 'Null Handling Option' attribute.
  See Also:
    `XMLNullHandlingType`, `XMLValueFunctionElementContentList.setNullHandlingOption(XMLNullHandlingType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionElementContentList_NullHandlingOption()`

### setNullHandlingOption

    public void setNullHandlingOption(XMLNullHandlingType newNullHandlingOption)

  Specified by:
    `setNullHandlingOption` in interface `XMLValueFunctionElementContentList`
  Parameters:
    `newNullHandlingOption` - the new value of the 'Null Handling Option' attribute.
  See Also:
    `XMLNullHandlingType`, `XMLValueFunctionElementContentList.getNullHandlingOption()`

### getValueFunctionElement

    public XMLValueFunctionElement getValueFunctionElement()

  Specified by:
    `getValueFunctionElement` in interface `XMLValueFunctionElementContentList`
  Returns:
    the value of the 'Value Function Element' container reference.
  See Also:
    `XMLValueFunctionElementContentList.setValueFunctionElement(XMLValueFunctionElement)`, `SQLXMLQueryModelPackage.getXMLValueFunctionElementContentList_ValueFunctionElement()`, `XMLValueFunctionElement.getElementContentList()`

### basicSetValueFunctionElement

    public NotificationChain basicSetValueFunctionElement(XMLValueFunctionElement newValueFunctionElement,
                                                          NotificationChain msgs)

### setValueFunctionElement

    public void setValueFunctionElement(XMLValueFunctionElement newValueFunctionElement)

  Specified by:
    `setValueFunctionElement` in interface `XMLValueFunctionElementContentList`
  Parameters:
    `newValueFunctionElement` - the new value of the 'Value Function Element' container reference.
  See Also:
    `XMLValueFunctionElementContentList.getValueFunctionElement()`

### getElementContentListChildren

    public EList getElementContentListChildren()

  Specified by:
    `getElementContentListChildren` in interface `XMLValueFunctionElementContentList`
  Returns:
    the value of the 'Element Content List Children' containment reference list.
  See Also:
    `SQLXMLQueryModelPackage.getXMLValueFunctionElementContentList_ElementContentListChildren()`, `XMLValueFunctionElementContentItem.getElementContentList()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.